#include "xcstaticmodelwritable.h"

XCStaticModelWritable::XCStaticModelWritable()
    : XAsset()
    , mNextModelInWorldSector(0)
{
}

XCStaticModelWritable::~XCStaticModelWritable()
{

}

void XCStaticModelWritable::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream >> mNextModelInWorldSector;
    }
}

quint32 XCStaticModelWritable::GetNextModelInWorldSector() const {
    return mNextModelInWorldSector;
}

void XCStaticModelWritable::SetNextModelInWorldSector(quint32 nextModel) {
    mNextModelInWorldSector = nextModel;
}



